Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Products Search by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "keyword": "<string>",
      "url": "<string>",
      "pages_to_search": 123
    }
  ]
}
'
[
  {
    "title": "Wireless Gaming Controller for Console",
    "url": "https://www.amazon.com/dp/B0D22334IJ",
    "asin": "B0D22334IJ",
    "price": 59.99,
    "currency": "USD",
    "rating": 4.6,
    "reviews_count": 28400,
    "seller_name": "GameTech Store",
    "brand": "GameTech",
    "availability": "In Stock",
    "main_image": "https://m.media-amazon.com/images/I/example-controller.jpg",
    "description": "Ergonomic wireless controller with custom button mapping and vibration feedback.",
    "category": "Video Games > Accessories > Controllers"
  }
]

Query Parameters

dataset_id
string
default:"gd_lwdb4vjm1ehb499uxs"
required
The dataset ID used for this request.
Must be set to gd_lwdb4vjm1ehb499uxs to collect Products Search by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {
      "keyword": "X-box",
      "url": "https://www.amazon.com",
      "pages_to_search": 2
    }
  ]
}
[
  {
    "title": "Wireless Gaming Controller for Console",
    "url": "https://www.amazon.com/dp/B0D22334IJ",
    "asin": "B0D22334IJ",
    "price": 59.99,
    "currency": "USD",
    "rating": 4.6,
    "reviews_count": 28400,
    "seller_name": "GameTech Store",
    "brand": "GameTech",
    "availability": "In Stock",
    "main_image": "https://m.media-amazon.com/images/I/example-controller.jpg",
    "description": "Ergonomic wireless controller with custom button mapping and vibration feedback.",
    "category": "Video Games > Accessories > Controllers"
  }
]